/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.MotivoReimpresion;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderMotivoReimpresion implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        MotivoReimpresion motivoReimpression = (MotivoReimpresion) o;

        Listcell lc = new Listcell(motivoReimpression.getMotivoreimpresionId().toString());
        lc.setParent(lstm);

        lc = new Listcell(motivoReimpression.getDescmotivo());
        lc.setParent(lstm);

        lstm.setAttribute("data", motivoReimpression);
    }
}
